On 01/27/2014 03:10 AM, Jordi Sayol wrote:
[...]
error: line 2: Illegal char '-' in: Version: 2.065.0-b2
-----

rpm packages do not allows "-" on version.

I've pull-requested deb/rpm scripts to fix new dmd versioning scheme. Dash "-" is 
replaced by tilde "~" on deb/rpm packages version, and so on packages name.
https://github.com/D-Programming-Language/installer/pull/47

Tilde doesn't work for rpm (I'm stuck with a slightly older rpmbuild 4.8.1).
https://github.com/D-Programming-Language/installer/commit/c74853d8b6ea243ee8889f9790f7c3d5099abe5d#commitcomment-5264134
The Fedora manual has a detailed description on how to handle this.
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Version_Tag

Reply via email to